Subject: bug#1385 closed by Glenn Morris <[email-masked]> (Re: bug#1385: font-lock-match-c-style-declaration-item-and-skip-to-next)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 10 Apr 2010 02:16:02 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1385: font-lock-match-c-style-declaration-item-and-skip-to-next

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
1385: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1385
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#1385: font-lock-match-c-style-declaration-item-and-skip-to-next
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 09 Apr 2010 22:15:39 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Never got an answer to this, so I've simply installed a copy of the
old version of this function in fortran.el.

>From [email-masked] Wed Nov 19 16:31:28 2008
From: Glenn Morris <[email-masked]>
To: [email-masked]
Subject: font-lock-match-c-style-declaration-item-and-skip-to-next
Date: Tue, 06 May 2008 23:02:41 -0400
Lines: 26

[ resent from
  http://lists.gnu.org/archive/html/emacs-devel/2008-05/msg00383.html ]

This change:

  2008-02-01  Kenichi Handa  <[email-masked]>

    * font-lock.el (font-lock-match-c-style-declaration-item-and-skip-to-next):
    Check (match-end 2) before going there.
 
causes some font-locking in Fortran mode to stop working (for reasons
I haven't really looked into).

emacs -Q
M-x fortran-mode
TAB integer foo RET
TAB integer bar, foo RET

"foo" should be highlighted as a variable, but is not. "bar" is.

Your change makes font-lock-match-c-style-declaration-item-and-skip-to-next
return nil if (match-end 2) is nil. Previously, it returned t.

I don't know if I should change fortran.el, or if
very-long-and-literal-function-name should return t again.